Infront Data Manager Connect Client (.NET)

Static Public Member Functions | Properties | List of all members
Gevasys.DataCore.Configuration.ConfigurationHelper Class Reference

Helper class for initialization of the Data Manager Connect (DMC) client library More...

## Static Public Member Functions
static bool | Initialize ()
| Initialize DMC client library. Use System.Configuration mechanism More...
static bool | Initialize (NameValueCollection setting)
| Initialize DMC client library uses a collection with configuration values. Name of values in collection is important! Following values have to be provided: More...
static ConsumerStore | CreateConsumer (IPushClient pushClient)
| Create a consumer for streaming data More...
static RetransmitStore | CreateRetransmitStore (RetransmitClient client)
| For Retransmit: Initialize a RetransmitStore. Please see samples for details how to use More...

## Properties
static Configuration | Configuration`[get]`
| The configuration of the Data Manager Connect library More...
static RoutingDataStore | RoutingDataStore`[get]`
| A configured RoutingDataStore instance More...
static int | RequestConnectionTimeout`[get]`
| The RequestConnectionTimeout, configured in App.config or default Value More...
static int | RequestReadTimeout`[get]`
| The RequestReadTimeout, configured in App.config or default Value More...

## Detailed Description

Helper class for initialization of the Data Manager Connect (DMC) client library

## Member Function Documentation

## ◆ CreateConsumer()

static ConsumerStore Gevasys.DataCore.Configuration.ConfigurationHelper.CreateConsumer | ( | IPushClient | pushClient | ) |
| inline static

Create a consumer for streaming data

Parameters

  client |

Returns

## ◆ CreateRetransmitStore()

static RetransmitStore Gevasys.DataCore.Configuration.ConfigurationHelper.CreateRetransmitStore | ( | RetransmitClient | client | ) |
| inline static

For Retransmit: Initialize a RetransmitStore. Please see samples for details how to use

Parameters

  client |

Returns

## ◆ Initialize() [1/2]

static bool Gevasys.DataCore.Configuration.ConfigurationHelper.Initialize | ( |  | ) |
| inline static

Initialize DMC client library. Use System.Configuration mechanism

Returns
  true on success, false if configuration was missing or invalid

## ◆ Initialize() [2/2]

static bool Gevasys.DataCore.Configuration.ConfigurationHelper.Initialize | ( | NameValueCollection | setting | ) |
| inline static

Initialize DMC client library uses a collection with configuration values. Name of values in collection is important! Following values have to be provided:

- DMC.UserId
- DMC.Password
- DMC.PrimaryUrl
- DMC.SecondaryUrl Optional values:
- DMC.RequestConnectionTimeout
- DMC.RequestReadTimeout
- DMC.DisableCertificateCheck
- DMC.PrimaryUrlFingerprint
- DMC.SecondaryUrlFingerprint
- DMC.DisableKeepAlive
- DMC.Proxy.Enabled
- DMC.Proxy.Host
- DMC.Proxy.Port
- DMC.Proxy.AuthenticationType
- DMC.Proxy.User
- DMC.Proxy.Password

Parameters

  setting |

Returns

## Property Documentation

## ◆ Configuration

Configuration Gevasys.DataCore.Configuration.ConfigurationHelper.Configuration
| static get

The configuration of the Data Manager Connect library

## ◆ RequestConnectionTimeout

int Gevasys.DataCore.Configuration.ConfigurationHelper.RequestConnectionTimeout
| static get

The RequestConnectionTimeout, configured in App.config or default Value

## ◆ RequestReadTimeout

int Gevasys.DataCore.Configuration.ConfigurationHelper.RequestReadTimeout
| static get

The RequestReadTimeout, configured in App.config or default Value

## ◆ RoutingDataStore

RoutingDataStore Gevasys.DataCore.Configuration.ConfigurationHelper.RoutingDataStore
| static get

A configured RoutingDataStore instance

The documentation for this class was generated from the following file:

- ConfigurationHelper.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1